# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 访问日志

### 查询访问日志列表

**请求URL:** access/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询访问日志

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID
&emsp;&emsp;traceID|String|TraceId
&emsp;&emsp;pspanId|Integer|父服务调用id
&emsp;&emsp;spanId|Integer|当前服务跨度Id
&emsp;&emsp;appName|String|应用名称
&emsp;&emsp;hostName|String|实例IP
&emsp;&emsp;targetServer|String|目标服务
&emsp;&emsp;logLevel|String|日志等级
&emsp;&emsp;requestIp|String|请求者IP
&emsp;&emsp;method|String|请求方式
&emsp;&emsp;schema|String|协议
&emsp;&emsp;ua|String|用户浏览器UA
&emsp;&emsp;uri|String|请求URI
&emsp;&emsp;requestData|String|请求参数，json序列化
&emsp;&emsp;responseData|String|响应结果,
&emsp;&emsp;logTime|Date|日志产生时间
&emsp;&emsp;requestTime|Date|请求时间
&emsp;&emsp;responseTime|Date|响应时间
&emsp;&emsp;duration|Long|持续时间，单位毫秒
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看访问日志

**请求URL:** access/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看访问日志，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/access/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID
&emsp;traceID|String|TraceId
&emsp;pspanId|Integer|父服务调用id
&emsp;spanId|Integer|当前服务跨度Id
&emsp;appName|String|应用名称
&emsp;hostName|String|实例IP
&emsp;targetServer|String|目标服务
&emsp;logLevel|String|日志等级
&emsp;requestIp|String|请求者IP
&emsp;method|String|请求方式
&emsp;schema|String|协议
&emsp;ua|String|用户浏览器UA
&emsp;uri|String|请求URI
&emsp;requestData|String|请求参数，json序列化
&emsp;responseData|String|响应结果,
&emsp;logTime|Date|日志产生时间
&emsp;requestTime|Date|请求时间
&emsp;responseTime|Date|响应时间
&emsp;duration|Long|持续时间，单位毫秒
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7635,
            "traceID":"0tj24m",
            "pspanId":1924,
            "spanId":5615,
            "appName":"ntxdiz",
            "hostName":"u7esz1",
            "targetServer":"rlj8lh",
            "logLevel":"hzemsx",
            "requestIp":"cme1cq",
            "method":"6eosdt",
            "schema":"yjlki4",
            "ua":"nl06uh",
            "uri":"hsuwg5",
            "requestData":"16s8fd",
            "responseData":"pi1iud",
            "logTime":"2022-08-19",
            "requestTime":"2022-08-19",
            "responseTime":"2022-08-19",
            "duration":1396,
            "createUserId":6560,
            "createTime":"2022-08-19"
        }
}
```

### 保存更新访问日志

**请求URL:** access/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新访问日志：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|主键ID
logTime|Date|是|日志产生时间
createUserId|Long|否|创建用户
createTime|Date|否|创建时间

**请求样例:**
```
{
    "traceID":"k3wjwl",
    "pspanId":6376,
    "spanId":6876,
    "appName":"i7shif",
    "hostName":"2ukyl7",
    "targetServer":"v43pht",
    "logLevel":"wndrrh",
    "requestIp":"tlyvvh",
    "method":"b83dee",
    "schema":"hwpd56",
    "ua":"d52vor",
    "uri":"c5te0l",
    "requestData":"uwtl25",
    "responseData":"81900k",
    "logTime":"2022-08-19",
    "requestTime":"2022-08-19",
    "responseTime":"2022-08-19",
    "duration":7934,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID
&emsp;&emsp;traceID|String|TraceId
&emsp;&emsp;pspanId|Integer|父服务调用id
&emsp;&emsp;spanId|Integer|当前服务跨度Id
&emsp;&emsp;appName|String|应用名称
&emsp;&emsp;hostName|String|实例IP
&emsp;&emsp;targetServer|String|目标服务
&emsp;&emsp;logLevel|String|日志等级
&emsp;&emsp;requestIp|String|请求者IP
&emsp;&emsp;method|String|请求方式
&emsp;&emsp;schema|String|协议
&emsp;&emsp;ua|String|用户浏览器UA
&emsp;&emsp;uri|String|请求URI
&emsp;&emsp;requestData|String|请求参数，json序列化
&emsp;&emsp;responseData|String|响应结果,
&emsp;&emsp;logTime|Date|日志产生时间
&emsp;&emsp;requestTime|Date|请求时间
&emsp;&emsp;responseTime|Date|响应时间
&emsp;&emsp;duration|Long|持续时间，单位毫秒
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除访问日志

**请求URL:** access/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除访问日志

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/access/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
