package com.mortals.xhx.module.error.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.error.model.vo.ErrorLogVo;
/**
* 异常日志实体对象
*
* @author zxfei
* @date 2022-08-17
*/

public class ErrorLogEntity extends ErrorLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 追踪Id
    */
    private String traceID;
    /**
    * 服务类型，webOS,android,IOS，服务后端
    */
    private String serverType;
    /**
    * 应用名称
    */
    private String appName;
    /**
    * 实例IP
    */
    private String hostName;
    /**
    * 日志等级
    */
    private String logLevel;
    /**
    * 线程号
    */
    private String threadNo;
    /**
    * 异常堆栈信息
    */
    private String error;
    /**
    * 响应结果
    */
    private String response;
    /**
    * 日志产生时间
    */
    private Date logTime;



    public ErrorLogEntity(){}
    /**
    * 获取 追踪Id
    * @return String
    */
    public String getTraceID(){
        return traceID;
    }
    /**
    * 设置 追踪Id
    * @param traceID
    */
    public void setTraceID(String traceID){
        this.traceID = traceID;
    }
    /**
    * 获取 服务类型，webOS,android,IOS，服务后端
    * @return String
    */
    public String getServerType(){
        return serverType;
    }
    /**
    * 设置 服务类型，webOS,android,IOS，服务后端
    * @param serverType
    */
    public void setServerType(String serverType){
        this.serverType = serverType;
    }
    /**
    * 获取 应用名称
    * @return String
    */
    public String getAppName(){
        return appName;
    }
    /**
    * 设置 应用名称
    * @param appName
    */
    public void setAppName(String appName){
        this.appName = appName;
    }
    /**
    * 获取 实例IP
    * @return String
    */
    public String getHostName(){
        return hostName;
    }
    /**
    * 设置 实例IP
    * @param hostName
    */
    public void setHostName(String hostName){
        this.hostName = hostName;
    }
    /**
    * 获取 日志等级
    * @return String
    */
    public String getLogLevel(){
        return logLevel;
    }
    /**
    * 设置 日志等级
    * @param logLevel
    */
    public void setLogLevel(String logLevel){
        this.logLevel = logLevel;
    }
    /**
    * 获取 线程号
    * @return String
    */
    public String getThreadNo(){
        return threadNo;
    }
    /**
    * 设置 线程号
    * @param threadNo
    */
    public void setThreadNo(String threadNo){
        this.threadNo = threadNo;
    }
    /**
    * 获取 异常堆栈信息
    * @return String
    */
    public String getError(){
        return error;
    }
    /**
    * 设置 异常堆栈信息
    * @param error
    */
    public void setError(String error){
        this.error = error;
    }
    /**
    * 获取 响应结果
    * @return String
    */
    public String getResponse(){
        return response;
    }
    /**
    * 设置 响应结果
    * @param response
    */
    public void setResponse(String response){
        this.response = response;
    }
    /**
    * 获取 日志产生时间
    * @return Date
    */
    public Date getLogTime(){
        return logTime;
    }
    /**
    * 设置 日志产生时间
    * @param logTime
    */
    public void setLogTime(Date logTime){
        this.logTime = logTime;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ErrorLogEntity) {
            ErrorLogEntity tmp = (ErrorLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",traceID:").append(getTraceID());
        sb.append(",serverType:").append(getServerType());
        sb.append(",appName:").append(getAppName());
        sb.append(",hostName:").append(getHostName());
        sb.append(",logLevel:").append(getLogLevel());
        sb.append(",threadNo:").append(getThreadNo());
        sb.append(",error:").append(getError());
        sb.append(",response:").append(getResponse());
        sb.append(",logTime:").append(getLogTime());
        return sb.toString();
    }

    public void initAttrValue(){

            this.traceID = "";

            this.serverType = "";

            this.appName = "";

            this.hostName = "";

            this.logLevel = "";

            this.threadNo = "";

            this.error = "";

            this.response = "";

            this.logTime = null;
    }
}