package com.mortals.xhx.module.error.service.impl;
import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;
import com.mortals.xhx.module.biz.model.BizLogEntity;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.error.dao.ErrorLogDao;
import com.mortals.xhx.module.error.model.ErrorLogEntity;
import com.mortals.xhx.module.error.service.ErrorLogService;

import java.util.Date;

/**
* ErrorLogService
* 异常日志 service实现
*
* @author zxfei
* @date 2022-08-17
*/
@Service("errorLogService")
public class ErrorLogServiceImpl extends AbstractCRUDServiceImpl<ErrorLogDao, ErrorLogEntity, Long> implements ErrorLogService {

    @Override
    public ErrorLogEntity get(Long key, Context context) throws AppException {
        ErrorLogEntity errorLogEntity = new ErrorLogEntity();
        Snowflake snowflake = IdUtil.getSnowflake(0, 1);
        long generateDateTime = snowflake.getGenerateDateTime(key);
        errorLogEntity.setCreateTime(new Date(generateDateTime));
        return this.getDao().get(key,errorLogEntity);
    }
}